<template>

</template>
<script>
    import { mapGetters } from 'vuex'
    import Form from "./../classes/Form"

    export default {
        data(){
            return{
                type: 'password',
                form : new Form(
                  {
                    nom:'',
                    civilite:'',
                    email:'',
                    prenom:'',
                    promotion:'',
                    secteur:'',
                    pays:'',
                    password:'',
                    password_confirmation:''
                }),
                isLoading:false,

            }
        },

        created()
        {

        },
        mounted() {

        },
        computed:
        {
          ...mapGetters({ _pays:"params/_pays",_secteurs:'params/_secteurs',_promotions:"params/_promotions",_civilites:"params/_civilites"}),
        },

        methods:
        {
            //Ajoute un role dans la BDD
            onSubmit()
            {
                // Requête ajax
                this.form.post("/register").then((value) =>
                {
                    this.isLoading = false
                    window.location.href = "/login"
                    flash("<span>Enregistré <strong>avec succès veillez consulter votre email pour confirmer votre compte</strong></span>",'success')

                },
                (error) =>
                {
                  this.isLoading = false
                });
            },
            //Initialisation du formulaire
              reset()
            {
                  this.form.reset();
                  this.isLoading = false
            },

            updateError()
            {

               if(this.form.errors.has('email') || this.form.errors.has('nom') || this.form.errors.has('prenom') || this.form.errors.has('pays') )
               {
                  this.form.errors.clear('nom')
                  this.form.errors.clear('email')
                  this.form.errors.clear('prenom')
                  this.form.errors.clear('pays')

               }
            },
            show()
            {
                if(this.type === 'password') {
                    this.type = 'text'
                } else {
                    this.type = 'password'
                }
            }
        },
        components:
        {
            Form
        },
    }
</script>
